For the complete documentation index, see llms.txt. This page is also available as Markdown.

Add reseller information

Use this method to add information about a reseller in the 2Checkout system.

Request parameters

Parameter
Type / Description

sessionID

Required (string) Session identifier, output of the Login method. An exception will be thrown if the values are incorrect.

Required (object)

Request sample

<?php

require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner

$NewReseller = new stdClass();
$NewReseller->ResellerCode = '1234565';
$NewReseller->Company = 'Avangate';
$NewReseller->FirstName = 'John';
$NewReseller->LastName = 'Doe';
$NewReseller->Email = 'johndoe@example.com';
$NewReseller->Phone = '123456789';
$NewReseller->Fax = '12345';
$NewReseller->Country = 'US';
$NewReseller->State = 'CA';
$NewReseller->City = 'Palo Alto';
$NewReseller->Address = 'Street';
$NewReseller->PostaCode = '90210';

try {
    $NewReseller= $client->createReseller($sessionID, $NewReseller);
} catch (SoapFault $e) {
    Echo "NewReseller: " . $e->getMessage();
    exit;
}
var_dump ("NewReseller ", $NewReseller);

Response parameters

Parameter
Type / Description

ResellerCode

String Unique code identifying a specific reseller.

Errors

Error
Description

NOT_FOUND_PARTNER

A partner must be set first.

EMPTY_RESELLER_FIRST_NAME

Reseller first name is mandatory.

EMPTY_RESELLER_LAST_NAME

Reseller last name is mandatory.

EMPTY_RESELLER_COMPANY

Reseller company is mandatory.

INVALID_RESELLER_EMAIL

Reseller email is mandatory.

INVALID_RESELLER_EMAIL

Invalid reseller email provided.

INVALID_COUNTRY

Invalid reseller country code.

INTERNAL_ERROR

Reseller information could not be saved.

Last updated

Was this helpful?